const { exec } = require('child_process');

let executable = 'webpack-dev-server --config webpack.config.js';

const env = process.argv[2];
if (env.indexOf('production') !== -1) {
  executable = 'webpack -p';
}

let cmdLine;
if (process.platform === 'win32') {
  cmdLine = `set NODE_ENV=${env} && .\\node_modules\\.bin\\${executable}`;
} else {
  cmdLine = `NODE_ENV=${env} ./node_modules/.bin/${executable}`;
}

const command = exec(cmdLine);

command.stdout.on('data', (data) => {
  process.stdout.write(data);
});
command.stderr.on('data', (data) => {
  process.stderr.write(data);
});
command.on('error', (err) => {
  process.stderr.write(err);
});
