import React from 'react';
import { NavLink } from 'react-router-dom';
import { TOP_LINKS } from '../../constants/route';
import './header.less';

export default class Header extends React.Component {
  render() {
    return (
      <header className="header clearfix">
        <span className="logo-title">
          <span className="logo" />
          <span className="title">china.mobile.cmss</span>
        </span>
        <ul className="menu clearfix">
          {
            TOP_LINKS.map((link, index) => {
              const { name, path, exact } = link;
              return (
                <li className="menu-item" key={index}>
                  <NavLink to={path} exact={exact} activeClassName="active">{name}</NavLink>
                </li>
              );
            })
          }
        </ul>
        <div className="user-info">
          <span className="user-name">Admin</span>
          <a className="user-exit" href="javascript:;">退出</a>
        </div>
      </header>
    );
  }
}
