import React from 'react';
import ReactDOM from 'react-dom';
import { HashRouter } from 'react-router-dom';
import { Provider } from 'react-redux';
import { LocaleProvider } from 'antd';
import zh from 'antd/lib/locale-provider/zh_CN';
import 'moment/locale/zh-cn';
import 'index.html';
import 'whatwg-fetch';
import configureStore from './store/configureStore';
import App from './containers/App';

import './stylesheets/favicon.ico';
import './stylesheets/reset.less';

const env = process.env.NODE_ENV;
if (env.indexOf('mock') !== -1) {
  require('./mock/mock-data');
}

const store = configureStore();

ReactDOM.render(
  <Provider store={store}>
    <LocaleProvider locale={zh}>
      <HashRouter>
        <App />
      </HashRouter>
    </LocaleProvider>
  </Provider>,
  document.getElementById('root'),
);
