import {
  GET_TECHNOLOGIES,
  GET_TECHNOLOGY,
} from '../actions/home';

const home = (state = {
  technologies: [],
  technology: '',
  technologyCurrent: '',
  isTechnologiesFetching: false,
  isTechnologyFetching: false,
}, action = null) => {
  switch (action.type) {
    case GET_TECHNOLOGIES.REQUEST: {
      return {
        ...state,
        isTechnologiesFetching: true,
      };
    }
    case GET_TECHNOLOGY.REQUEST: {
      return {
        ...state,
        isTechnologyFetching: true,
      };
    }
    case GET_TECHNOLOGIES.SUCCESS: {
      const { data } = action;
      return {
        ...state,
        isTechnologiesFetching: false,
        technologies: data,
      };
    }
    case GET_TECHNOLOGY.SUCCESS: {
      const { data, name } = action;
      return {
        ...state,
        isTechnologyFetching: false,
        technology: data,
        technologyCurrent: name,
      };
    }
    case GET_TECHNOLOGIES.FAIL: {
      return {
        ...state,
        isTechnologiesFetching: false,
      };
    }
    case GET_TECHNOLOGY.FAIL: {
      return {
        ...state,
        isTechnologyFetching: false,
      };
    }
    default:
      return state;
  }
};
export { home };
