import React from 'react';
import { connect } from 'react-redux';
import './index.less';
import * as actions from '../../actions/home';
import Notices from './notices';
import Technologies from './technologies';
import Technology from './technology';

const NOTICES = [
  '推荐使用Fetch调用接口',
  '推荐使用chrome浏览器',
];
class Home extends React.Component {
  componentDidMount() {
    const { getTechnologies } = this.props;
    getTechnologies(1);
  }

  render() {
    const {
      technologies,
      technology,
      technologyCurrent,
      isTechnologiesFetching,
      isTechnologyFetching,
      getTechnology,
    } = this.props;
    return (
      <div className="home-wrapper">
        <div className="title">欢迎使用!</div>
        <Notices {...{ notices: NOTICES }} />
        <Technologies
          {...{
            technologies,
            technologyCurrent,
            onTechClick: getTechnology,
            loading: isTechnologiesFetching,
          }}
        />
        <Technology
          {...{
            technology,
            loading: isTechnologyFetching,
          }}
        />
      </div>
    );
  }
}
const mapStateToProps = state => state.home;
export default connect(mapStateToProps, actions)(Home);
