import React from 'react';
import { Spin, Tag } from 'antd';
import './technologies.less';

export default function Technologies(props) {
  const {
    technologies, technologyCurrent, className, loading, onTechClick,
  } = props;
  return (
    <div className={`home-technologies-wrapper ${className}`}>
      <h3>相关技术</h3>
      <Spin spinning={loading}>
        <div className="home-technologies-list">
          {
            technologies.map((name, index) => (
              <Tag
                key={index}
                color={technologyCurrent && name === technologyCurrent ? 'blue' : ''}
                onClick={() => onTechClick(name)}
              >
                {name}
              </Tag>
            ))
          }
        </div>
      </Spin>
    </div>
  );
}
