import React from 'react';
import { Route, Redirect, Switch } from 'react-router-dom';
import Loadable from 'react-loadable';
import Loading from '../components/Card/loading';
import { TOP_ROUTES } from '../constants/route';

const getLoadableComponent = path => (
  Loadable({
    loader: () => import(`../routes/${path}`),
    loading: Loading,
  })
);

const RouteList = TOP_ROUTES.map((item) => {
  const {
    path, component, exact,
  } = item;
  return (
    <Route
      exact={exact}
      key={path}
      path={path}
      component={getLoadableComponent(component)}
    />
  );
});

const TopRouters = () => (
  <Switch>
    {
      RouteList
    }
    <Redirect to="/" />
  </Switch>
);

export default TopRouters;
