import { createStore, applyMiddleware } from 'redux';
import thunk from 'redux-thunk';
import rootReducer from '../reducers';

const middleware = [thunk];
const env = process.env.NODE_ENV;
if (env.indexOf('production') === -1) {
  const { logger } = require('redux-logger');
  middleware.push(logger);
}

export default function configureStore() {
  return createStore(
    rootReducer,
    applyMiddleware(...middleware),
  );
}
