#!/usr/bin/env node

const chalk  = require('chalk');
const path = require('path');
const Promise = require("bluebird");
const fs = Promise.promisifyAll(require('fs-extra'));
const root = path.resolve(__dirname, '..');
const appPath = process.cwd();

function copyApp(project, p){
  console.log(`\nCreating a new react app ${chalk.cyan(project)} in ${chalk.cyan(appPath)} ...`);
  return fs.copyAsync(`${root}/app`, project,{clobber: true})
    .then(function(err){
      if(err) {
        console.error(err);
        return;
      }
      console.log(chalk.greenBright(`\nCreate ${project} successfully! `));
      const msg =
        `\nnow, you can do:\n
        ${chalk.cyan('cd')} ${project}\n
        ${chalk.cyan(`npm install`)}\n
        ${chalk.cyan(`npm run mock`)}\n`;

      if(!p || typeof p !== 'function') {
        console.log(msg);
        return;
      }
      p(appPath, project).then(()=>{
        console.log(msg);
      });
    })
}
module.exports = copyApp;