#!/usr/bin/env node

const program = require('commander');
const chalk  = require('chalk');
const fs= require("fs");
const appInfo = require("../package.json");
const appCreate = require('./build');
const packageCreate = require('./package');

program
  .version(appInfo.version)
  .usage('[options] <project name>')
  .option('-c, --config', 'config package.json')
  .parse(process.argv);

const appName = program.args[0];
if (!appName) {
  program.help();
  return;
}
fs.exists(appName, (exists)=>{
  if(exists) {
    console.log(`\n${chalk.redBright('Conflict!')}`);
    console.log(`The directory ${chalk.cyan(appName)} already exists.`);
    console.log(`Try using a ${chalk.cyan('new')} directory name.\n`);
    return;
  }

  let promise = null;
  if(program.config) {
    promise = packageCreate;
  }

  appCreate(appName, promise);

});
